glibmm 2.39.92

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
Glib::RWLock::ReaderLock Class Reference

Utility class for exception-safe locking of read/write locks. More...

`#include <glibmm/thread.h>`

## Public Member Functions
| ReaderLock (RWLock& rwlock)
| ReaderLock (RWLock& rwlock, NotLock)
| ReaderLock (RWLock& rwlock, TryLock)
| ~ReaderLock ()
void | acquire ()
bool | try_acquire ()
void | release ()
bool | locked () const

## Detailed Description

Utility class for exception-safe locking of read/write locks.

Deprecated:
  Use Glib::Threads::RWLock::ReaderLock instead.

## Constructor & Destructor Documentation

Glib::RWLock::ReaderLock::ReaderLock | ( | RWLock& | rwlock) |  |
| inline explicit

Glib::RWLock::ReaderLock::ReaderLock | ( | RWLock& | rwlock,
|  | NotLock |
| ) |  |
| inline

Glib::RWLock::ReaderLock::ReaderLock | ( | RWLock& | rwlock,
|  | TryLock |
| ) |  |
| inline

Glib::RWLock::ReaderLock::~ReaderLock | ( | ) |  |
| inline

## Member Function Documentation

void Glib::RWLock::ReaderLock::acquire | ( | ) |  |
| inline

bool Glib::RWLock::ReaderLock::locked | ( | ) |  | const
| inline

void Glib::RWLock::ReaderLock::release | ( | ) |  |
| inline

bool Glib::RWLock::ReaderLock::try_acquire | ( | ) |  |
| inline